> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir entrada do Knowledge

> Excluir um item de Knowledge da organização.



## OpenAPI

````yaml pt-BR/v1-openapi.yaml DELETE /v1/knowledge/{note_id}
openapi: 3.1.0
info:
  description: API do Devin v1 com chaves de API pessoais e de serviço
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge/{note_id}:
    delete:
      summary: Excluir entrada do Knowledge
      description: Excluir um item de Knowledge da organização.
      operationId: delete_knowledge_v1_knowledge__note_id__delete
      parameters:
        - in: path
          name: note_id
          required: true
          schema:
            title: Note Id
            type: string
      responses:
        '204':
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Chave de API pessoal (apk_user_\*) ou chave de API de serviço (apk_\*)
      scheme: bearer
      type: http

````